Subject: Re: linux-next: build failure after merge of the pinctrl tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 10 Dec 2013 15:06:59 +1100

Hi Linus,

On Tue, 10 Dec 2013 14:02:18 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> After merging the pinctrl tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> sound/soc/fsl/eukrea-tlv320.c:28:28: fatal error: asm/mach-types.h: No such file or directory
>  #include <asm/mach-types.h>
>                             ^
> 
> Probably caused by commit 6bca8471566c ("pinctrl: select dependency on OF
> for MSM driver").  the build of eukrea-tlv320.c depends on CONFIG_OF
> which is not normally set for as x86_64 build, but the above commit
> caused it to be selected (I think).
> 
> I have used the pinctrl tree from next-20131206 again.

It turns out that this is build failure is actually caused by a commit in
the sound-asoc tree (436aa86f0414 "ASoC: eukrea-tlv320: Add DT support"),
but was exposed by the pinctrl tree commit.

So I am not sure if the pinctrl tree needs fixing (I think it did select
CONFIG_OF where it would normally not be).
-- 
Cheers,
Stephen Rothwell <[email-masked]>